Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cert
Class GeneralNames

`java.lang.Object
oracle.security.crypto.cert.GeneralNames`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class GeneralNames
extends java.lang.Object
implements oracle.security.crypto.asn1.ASN1Object

'GeneralNames' is a SEQUENCE of the GeneralName type defined in RFC 2459.

Constructor Summary
`GeneralNames()` Create an empty `GeneralNames`.
`GeneralNames(GeneralName generalName)` Create a `GeneralNames`.
`GeneralNames(java.io.InputStream is)` Create a `GeneralNames`.
`GeneralNames(java.lang.String rfc822Name)` Create a `GeneralNames`.
`GeneralNames(java.util.Vector generalNames)` Create a `GeneralNames`.
`GeneralNames(X500Name directoryName)` Create a `GeneralNames`.
`GeneralNames(X500Name directoryName, java.lang.String rfc822Name)` Create a `GeneralNames`.

Method Summary
`void` | `addGeneralName(GeneralName generalName)` Add a `GeneralName`.
`void` | `addGeneralName(java.lang.String rfc822Name)` Add a `GeneralName`.
`void` | `addGeneralName(X500Name directoryName)` Add a `GeneralName`.
`void` | `addGeneralNames(java.util.Vector generalNames)` Add a list of `GeneralName`s.
`boolean` | `containsGeneralName(GeneralName gn)` Indicate if the `GeneralName` is present in this object.
`GeneralName` | `generalNameAt(int index)` Returns the `GeneralName` at the given index.
`java.util.Enumeration` | `generalNames()` Returns the list of `GeneralName` objects.
`java.util.Vector` | `getGeneralNames()` Returns the list of `GeneralName` objects.
`java.util.Vector` | `getRFC822Names()` Returns the list of RFC-822 email addresses in this object.
`void` | `input(java.io.InputStream is)` Initialize this object reading from the specified input stream.
`int` | `length()` Returns the length of this object's output emcoding.
`void` | `output(java.io.OutputStream os)` Outputs this object's encoding to the specified output stream.
`boolean` | `removeGeneralName(GeneralName generalName)` Remove a `GeneralName`.
`GeneralName` | `removeGeneralName(int index)` Remove the `GeneralName` at the given index, returning the old value.
`boolean` | `removeGeneralName(java.lang.String rfc822Name)` Remove a `GeneralName`.
`boolean` | `removeGeneralName(X500Name directoryName)` Remove a `GeneralName`.
`boolean` | `removeGeneralNames(java.util.Vector generalNames)` Remove a list of `GeneralName`s.
`int` | `size()` Returns the number of `GeneralName`s in the list.
`java.lang.String` | `toString()` Returns information about this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeneralNames

    public GeneralNames()

  Create an empty `GeneralNames`.

### GeneralNames

    public GeneralNames(java.util.Vector generalNames)

  Create a `GeneralNames`.
Parameters:
  `generalNames` - A `Vector` containing `GeneralName` objects.

### GeneralNames

    public GeneralNames(GeneralName generalName)

  Create a `GeneralNames`.
Parameters:
  `generalName` - A `GeneralName`.

### GeneralNames

    public GeneralNames(X500Name directoryName)

  Create a `GeneralNames`.
Parameters:
  `directoryName` - A X500 directory name.

### GeneralNames

    public GeneralNames(java.lang.String rfc822Name)

  Create a `GeneralNames`.
Parameters:
  `rfc822Name` - A RFC-822 email address.

### GeneralNames

    public GeneralNames(X500Name directoryName,
                        java.lang.String rfc822Name)

  Create a `GeneralNames`.
Parameters:
  `directoryName` - A X500 directory name.
  `rfc822Name` - A RFC-822 email address.

### GeneralNames

    public GeneralNames(java.io.InputStream is)
                 throws java.io.IOException

  Create a `GeneralNames`.
Parameters:
  `is` - The input stream.
Throws:
  `java.io.IOException` - The input encoding is incorrect or an I/O error occurs.

Method Detail

### addGeneralName

    public void addGeneralName(X500Name directoryName)

  Add a `GeneralName`.
  Parameters:
    `directoryName` - A X500 directory name.

### addGeneralName

    public void addGeneralName(java.lang.String rfc822Name)

  Add a `GeneralName`.
  Parameters:
    `rfc822Name` - A RFC-822 email address.

### addGeneralName

    public void addGeneralName(GeneralName generalName)

  Add a `GeneralName`.
  Parameters:
    `generalName` - A `GeneralName` object.

### addGeneralNames

    public void addGeneralNames(java.util.Vector generalNames)

  Add a list of `GeneralName`s.
  Parameters:
    `generalNames` - A `Vector` containing `GeneralName` objects.

### removeGeneralName

    public boolean removeGeneralName(X500Name directoryName)

  Remove a `GeneralName`.
  Parameters:
    `directoryName` - A X500 directory name.

### removeGeneralName

    public boolean removeGeneralName(java.lang.String rfc822Name)

  Remove a `GeneralName`.
  Parameters:
    `rfc822Name` - A RFC-822 email address.

### removeGeneralName

    public boolean removeGeneralName(GeneralName generalName)

  Remove a `GeneralName`.
  Parameters:
    `generalName` - A `GeneralName` object.

### removeGeneralName

    public GeneralName removeGeneralName(int index)

  Remove the `GeneralName` at the given index, returning the old value.
  Parameters:
    `index` - The index of the `GeneralName` to remove. `index` must be greater than or equal to `0` and less than the size of the list.
  Returns:
    The `GeneralName` that was removed from the given index.
  Throws:
    `java.lang.IndexOutOfBoundsException` - If the given index is invalid.

### removeGeneralNames

    public boolean removeGeneralNames(java.util.Vector generalNames)

  Remove a list of `GeneralName`s.
  Parameters:
    `generalNames` - A `Vector` containing `GeneralName` objects.

### generalNameAt

    public GeneralName generalNameAt(int index)

  Returns the `GeneralName` at the given index.
  Parameters:
    `index` - The index of the `GeneralName` to be retrieved. `index` must be greater than or equal to `0` and less than the size of the list.
  Returns:
    The `GeneralName` at the given index.
  Throws:
    `java.lang.IndexOutOfBoundsException` - If the given index is invalid.

### size

    public int size()

  Returns the number of `GeneralName`s in the list.

### containsGeneralName

    public boolean containsGeneralName(GeneralName gn)

  Indicate if the `GeneralName` is present in this object.
  Returns:
    `true` if present; `false` otherwise.

### toString

    public java.lang.String toString()

  Returns information about this object.
  Returns:
    A string describing this object.

### getGeneralNames

    public java.util.Vector getGeneralNames()

  Returns the list of `GeneralName` objects.
  Returns:
    A `Vector` containing `GeneralName` objects.

### generalNames

    public java.util.Enumeration generalNames()

  Returns the list of `GeneralName` objects. An enumeration of `GeneralName` objects.

### getRFC822Names

    public java.util.Vector getRFC822Names()

  Returns the list of RFC-822 email addresses in this object.
  Returns:
    A `Vector` containing email address strings.

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Initialize this object reading from the specified input stream.
  Specified by:
    `input` in interface `oracle.security.crypto.util.Streamable`
  Parameters:
    `is` - The input stream.
  Throws:
    `java.io.IOException` - An I/O error occurred or the input encoding is incorrect.

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Outputs this object's encoding to the specified output stream.
  Specified by:
    `output` in interface `oracle.security.crypto.util.Streamable`
  Parameters:
    `os` - The output stream.
  Throws:
    `java.io.IOException` - An I/O error occurs.

### length

    public int length()

  Returns the length of this object's output emcoding.
  Specified by:
    `length` in interface `oracle.security.crypto.util.Streamable`
  Returns:
    The length in bytes.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.